Botan 2.13.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces
rsa.cpp File Reference
`#include <botan/rsa.h>`
`#include <botan/internal/pk_ops_impl.h>`
`#include <botan/keypair.h>`
`#include <botan/blinding.h>`
`#include <botan/reducer.h>`
`#include <botan/workfactor.h>`
`#include <botan/der_enc.h>`
`#include <botan/ber_dec.h>`
`#include <botan/monty.h>`
`#include <botan/divide.h>`
`#include <botan/internal/monty_exp.h>`

Go to the source code of this file.

## Namespaces
| Botan

## Variable Documentation

Blinder m_blinder

Definition at line 457 of file rsa.cpp.

const size_t m_blinding_bits

Definition at line 458 of file rsa.cpp.

const size_t m_max_d1_bits

Definition at line 459 of file rsa.cpp.

const size_t m_max_d2_bits

Definition at line 460 of file rsa.cpp.

std::shared_ptr<const RSA_Private_Data> m_private

Definition at line 454 of file rsa.cpp.

Referenced by Botan::Ed25519_PrivateKey::get_private_key(), and Botan::Curve25519_PrivateKey::get_x().

std::shared_ptr<const RSA_Public_Data> m_public

Definition at line 453 of file rsa.cpp.

Referenced by Botan::Ed25519_PublicKey::get_public_key(), and Botan::Curve25519_PublicKey::public_value().